System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.ICloneable System.IDisposable

Many common formats are provided through the enumeration. objects can be changed.

Encapsulates text layout information (such as alignment, orientation and tab stops) display manipulations (such as ellipsis insertion and national digit substitution) and OpenType features. This class cannot be inherited.

- Constructor

  The following table shows initial property values for an instance of class.

  Property

  Initial Value

  FormatFlags

  0 (no flags are set)

  Initializes a new object.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new object from the specified existing object.

  The object from which to initialize the new object.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new object with the specified enumeration.

  The enumeration for the new object.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new object with the specified enumeration and language.

  The enumeration for the new object.
  A value that indicates the language of the text.
  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.StringAlignment To be added: an object of type 'StringAlignment'

  Use to specify the vertical alignment of the string.

  Gets or sets horizontal alignment of the string..

  1.0.5000.0
  2.0.0.0
- Method
  System.Object To be added

  Creates an exact copy of this object.

  The object this method creates.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the language that is used when local digits are substituted for western digits.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.StringDigitSubstitute To be added: an object of type 'StringDigitSubstitute' To be added

  Gets the method to be used for digit substitution.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Calling allows the resources used by this object to be reallocated for other purposes.

  Releases all resources used by this object.

  This method does not return a value.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.StringFormatFlags To be added: an object of type 'StringFormatFlags' To be added

  Gets or sets a enumeration that contains formatting information.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.StringFormat To be added: an object of type 'StringFormat'

  The following table shows initial property values for a generic default instance of the class.

  Property

  Initial Value

  0

  0

  If you make changes to the object returned from the property, these changes persist, and future calls to the property reflects these changes.

  Gets a generic default object.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.StringFormat To be added: an object of type 'StringFormat'

  The following table shows initial property values for a generic typographic instance of the class.

  Property

  Initial Value

  24580 (, and .)

  0

  Gets a generic typographic object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Single[] `` To be added: an object of type 'float&' To be added To be added: an object of type 'float []' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Text.HotkeyPrefix To be added: an object of type 'Text.HotkeyPrefix'

  In a graphical user interface, a hot key is the underlined letter in a word (usually combined with another key, such as the Alt key) that you can press on the keyboard to activate the functionality that the word represents.

  Gets or sets the object for this object.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.StringAlignment To be added: an object of type 'StringAlignment'

  Use to specify the horizontal alignment of the string.

  Gets or sets the vertical alignment of the string.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` To be added

  Specifies the language and method to be used when local digits are substituted for western digits.

  This method does not return a value.

  A National Language Support (NLS) language identifier that identifies the language that will be used when local digits are substituted for western digits. You can pass the property of a object as the NLS language identifier. For example, suppose you create a object by passing the string "ar-EG" to a constructor. If you pass the property of that object along with to the method, then Arabic-Indic digits will be substituted for western digits at display time. An element of the enumeration that specifies how digits are displayed. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Setting more than 32 character ranges is not allowed and will cause an .

  Specifies an array of structures that represent the ranges of characters measured by a call to the method.

  This method does not return a value.

  An array of structures that specifies the ranges of characters measured by a call to the method. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Each tab-stop offset in the array, except the first one, is relative to the previous one. The first tab-stop offset is relative to the initial offset position specified by . For example, if the initial offset position is 8 and the first tab-stop offset is 50, then the first tab stop is at position 58. If the initial offset position is zero, then the first tab-stop offset is relative to position 0, the string origin.

  Sets tab stops for this object.

  The number of spaces between the beginning of a line of text and the first tab stop. An array of distances between tab stops in the units specified by the property. 1.0.5000.0 2.0.0.0
- Method
  System.String

  Only the value of the property is converted.

  Converts this object to a human-readable string.

  A string representation of this object.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.StringTrimming To be added: an object of type 'StringTrimming' To be added

  Gets or sets the enumeration for this object.

  1.0.5000.0
  2.0.0.0